com.jscape.inet.mft.subsystems.reporting.html

## Class FreemarkerReportFormat

- java.lang.Object
- - com.jscape.inet.mft.subsystems.reporting.html.FreemarkerReportFormat

- All Implemented Interfaces:
    com.jscape.inet.mft.subsystems.reporting.ReportFormat

      public class FreemarkerReportFormat
      extends java.lang.Object
      implements com.jscape.inet.mft.subsystems.reporting.ReportFormat

  Author:
    Roman Sheshunov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreemarkerReportFormat(java.nio.file.Path templateRoot, java.lang.String templateFilename, com.jscape.inet.mft.subsystems.management.web.Resources resources)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.jscape.inet.mft.subsystems.management.web.Resources` | `defaultResources()`
    `void` | `format(Report report, java.io.File workDir)`
    `static FreemarkerReportFormat` | `formatFor(com.jscape.inet.mft.subsystems.management.web.Resources resources)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreemarkerReportFormat

          public FreemarkerReportFormat(java.nio.file.Path templateRoot,
                                        java.lang.String templateFilename,
                                        com.jscape.inet.mft.subsystems.management.web.Resources resources)

  - ### Method Detail

    - #### defaultResources

          public static com.jscape.inet.mft.subsystems.management.web.Resources defaultResources()

    - #### formatFor

          public static FreemarkerReportFormat formatFor(com.jscape.inet.mft.subsystems.management.web.Resources resources)

    - #### format

          public void format(Report report,
                             java.io.File workDir)
                      throws java.lang.Exception

      Specified by:
        `format` in interface `com.jscape.inet.mft.subsystems.reporting.ReportFormat`
      Throws:
        `java.lang.Exception`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.